org.richfaces.component

## Enum UIHotKey.Properties

- java.lang.Object
- - java.lang.Enum<UIHotKey.Properties>
  - - org.richfaces.component.UIHotKey.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIHotKey.Properties>
  Enclosing class:
    UIHotKey

      protected static enum UIHotKey.Properties
      extends Enum<UIHotKey.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `enabledInInput`
    `key`
    `onkeydown`
    `onkeyup`
    `preventDefault`
    `selector`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIHotKey.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIHotKey.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### enabledInInput

          public static final UIHotKey.Properties enabledInInput

    - #### key

          public static final UIHotKey.Properties key

    - #### onkeydown

          public static final UIHotKey.Properties onkeydown

    - #### onkeyup

          public static final UIHotKey.Properties onkeyup

    - #### preventDefault

          public static final UIHotKey.Properties preventDefault

    - #### selector

          public static final UIHotKey.Properties selector

  - ### Method Detail

    - #### values

          public static UIHotKey.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIHotKey.Properties c : UIHotKey.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIHotKey.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.